org.restlet.engine.http.header

## Class ProductReader

- java.lang.Object
- - org.restlet.engine.http.header.ProductReader

    public class ProductReader
    extends java.lang.Object

User agent header reader.

Author:
  Thierry Boileau

### Method Summary

Methods
`static java.util.List<Product>` `read(java.lang.String userAgent)` Parses the given user agent String to a list of Product instances.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### read

    public static java.util.List<Product> read(java.lang.String userAgent)
                                        throws java.lang.IllegalArgumentException

Parses the given user agent String to a list of Product instances.

Parameters:
  `userAgent` -
Returns:
  the List of Product objects parsed from the String
Throws:
  `java.lang.IllegalArgumentException` - Thrown if the String can not be parsed as a list of Product instances.